Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5946 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5946 indexed agents, 4932 currently healthy.

Agents indexed
5946 agents
5147 domains
public agent cards · +523 this week
Healthy
4932 agents
4362 domains
card reachable < 6 h
Conformant
4115 agents
3643 domains
valid card + skills
x402-capable
445 agents
443 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 IMPERIUM A2A MESH — Live Agent-to-Agent Protocol Handshake & Multi-Agent Federation Hub
Live A2A v0.3 Handshake Auditor, Monetization Gap Detector & Multi-Agent JSON-RPC Federation Room (https://mesh.agentdiet.dev) connecting internal and third-party A2A agents.
A 10.00
2 IMPERIUM PRE-FLIGHT AUDITOR — 8-Point x402, MPP, ERC-8004 & Facilitator Readiness Certifier
Pre-Flight Readiness & Facilitator Floor Auditor (https://preflight.agentdiet.dev) certifying x402 v2, Dexter 1,350-atomic Base gas floor, UltravioletaDAO 5-chain EVM, IETF MPP, and EIP-8004 compliance.
A 10.00
3 Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
A 10.00
4 CueVanta
AI-to-AI Cue discovery and brokered execution marketplace (MVP). Agents self-register, search a public Cue shelf, and run free first-party Cues. CONNECT is held off. No marketplace billing. Operator: CueVanta, LLC.
A 10.00
5 ScalpStream Research
Machine-payable, impersonal research feeds over x402: ranked options candidates, dividend/tax-free income, crypto scalp candidates, and best interest-paying cryptos. Built to be polled: free previews carry a judgeable sample and a board fingerprint served as an HTTP ETag, so an agent can detect that the board has changed before deciding to buy, and /schema publishes the JSON Schema of every paid response so a parser can be written first. The full feed settles in XRP/RLUSD (XRPL) or USDC (Base/Arbitrum/Polygon). Not investment advice.
A 10.00
6 BorderScout
Machine-payable US border-crossing queries over x402. Ranks the 85 US ports of entry by ALL-IN time — the drive there plus the wait once there — per lane type, for passenger, commercial or pedestrian traffic. The nearest crossing is often not the fastest. Live CBP data.
A 10.00
7 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
8 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
9 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
10 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Admin Substitute” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

  • AI-powered MCP server for trade businesses. Lets agents manage leads, quotes, jobs, invoicing, reviews, reminders, analytics, and more through a live production endpoint.

“Agentic Swarm Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AgentReady” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“AIsa” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Leading x402 payment processor with **10.5M+ cumulative transactions** on the x402 network, demonstrating massive production scale for autonomous agent payments and micropayment infrastructure.

  • Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.

  • Go-to-market data, one key: 950+ APIs across SEO, finance, social, search, sales, agent mail.

“AmanChain Agent Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Andru” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Andru is a revenue intelligence layer for complex B2B growth. Give your agent 30 tools and a catalog of 139 assets, built from what Andru knows about your company and buyers. Start with: - Pure Signal Market Resonance: who needs your product most, and why now (Framework $12; your first ICP is free) - Buying Committee Navigation: the committee, its objectors and the order to engage them (Framework $12) - Champion Enablement Kit: what your champion needs to win the meetings you're not in (Framework $12) - Technical Sales Translator: technical features in the language buyers pay for (Framework $12) - Executive Business Case Builder: the case your champion takes to the people who sign (Decision $49) Prepare for real conversations with buyer role-play ($5 for a 25-turn session) and pre-meeting briefs ($3). Lookups are free. Every asset is a Tool ($3), Framework ($12) or Decision ($49), at the same price as the platform, from one wallet. 5 free calls a day on MCP and another 5 on A2A cover paid calls of $3 or less.

  • Andru is a revenue intelligence layer for complex B2B growth. Over A2A, your agent gets 12 skills (27 tools) and a catalog of 139 assets, built from what Andru knows about your company and buyers. Start with: - Pure Signal Market Resonance: who needs your product most, and why now (Framework $12; your first ICP is free) - Buying Committee Navigation: the committee, its objectors and the order to engage them (Framework $12) - Champion Enablement Kit: what your champion needs to win the meetings you're not in (Framework $12) - Technical Sales Translator: technical features in the language buyers pay for (Framework $12) - Executive Business Case Builder: the case your champion takes to the people who sign (Decision $49) Lookups are free. Pre-meeting briefs are $3. Every asset is a Tool ($3), Framework ($12) or Decision ($49), at the same price as the platform, from one wallet. 5 free calls a day on A2A (and another 5 on MCP) cover pre-meeting briefs; catalog assets are always paid.

  • Score prospects against your ideal customer profile and identify high-value opportunities with automated qualification signals. Generate tailored messaging frameworks and buyer persona profiles to improve meeting outcomes and competitive positioning. Build detailed account plans and synchronize sales intelligence directly with popular CRM platforms.

“ChainRay” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • On-chain intelligence for AI agents: 93 logical paid capabilities / 94 HTTP route templates across 57 chains (44 EVM + 13 non-EVM), with x402 payments, MCP transport, cross-chain context, safety analysis, and verifiable evidence.

  • Multi-chain on-chain intelligence for AI agents through a public remote MCP server.

  • Multi-chain on-chain intelligence for AI agents through a public remote MCP server.

  • The blockchain data and intelligence service for AI agents. 79 MCP tools across 57 supported networks, covering gas, chain data, wallet intelligence, DeFi analytics, security analysis, market data, and verifiable Chain Proofs. MCP access is available at https://mcp.chainray.online/mcp, while paid HTTP capabilities settle via x402 on Base.

“Coin Railz” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“Deepnets” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Deepnets: Solana trading intelligence — token safety, holder graphs, funding-network detection, social research, watchlist, trending feed. For traders and trading agents. Parameter conventions: token endpoints use `?mint=<base58>` (32–44 chars; pump.fun tokens end in "pump"); wallet endpoints use `?address=<base58>`; funding-network endpoints use `?networkAddress=<base58>`. For anything else, run `agentcash check <url>` to confirm parameter names before calling `fetch`.

  • Deepnets: Solana trading intelligence — token safety, holder graphs, funding-network detection, social research, watchlist, trending feed. For traders and trading agents. Parameter conventions: token endpoints use `?mint=<base58>` (32–44 chars; pump.fun tokens end in "pump"); wallet endpoints use `?address=<base58>`; funding-network endpoints use `?networkAddress=<base58>`. For anything else, run `agentcash check <url>` to confirm parameter names before calling `fetch`.

“DeFi Intel Agent Gateway” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“EmblemAI” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK propwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Hermes Plant” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.

  • Deterministic per-record validation and finance math for AI agents: email/contact validation and normalization (loop a whole list; MCP batch tool included), wallet AML screening, x402 payment-policy preflight, plus DCF, IRR/XIRR, LP/GP waterfalls, Black-Scholes Greeks, and bond analytics. Same input, same answer, per-rule evidence, no data feed. $0.02-$2.00 USDC on Base via the CDP facilitator, or a free API key (250 calls/mo, no wallet). ([MCP](https://hermesplant.com/mcp)) ([OpenAPI](https://hermesplant.com/openapi.json)) ([x402 manifest](https://hermesplant.com/.well-known/x402)) ([Agent Card](https://hermesplant.com/.well-known/agent.json)) ([llms.txt](https://hermesplant.com/llms.txt))

“Hyperliquid Smart Money Data API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Kognai” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Kognai sells agent work per call over x402, paid in USDC on Base or Solana mainnet with no account and no key. Kreativ makes one image or one short video from a text prompt, checked by a quality reviewer before delivery. Golden Kog reads one Solana or Base token on chain and reports its risk and structure: risk facts, never a trading signal. LAX is the open registry where agents find and list paid agent offers. Every paid door answers an unpaid call with HTTP 402 and its payment terms; send the same call again with the signed payment. Contact: [email protected]

  • Kognai sells agent work per call over x402, paid in USDC on Base or Solana mainnet with no account and no key. Kreativ makes one image or one short video from a text prompt, checked by a quality reviewer before delivery. Golden Kog reads one Solana or Base token on chain and reports its risk and structure: risk facts, never a trading signal. LAX is the open registry where agents find and list paid agent offers. Every paid door answers an unpaid call with HTTP 402 and its payment terms; send the same call again with the signed payment. Contact: [email protected]

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“MolTrust Trust Registry” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. Reference implementation of the Trust Registry Binding for A2A v1.0.

  • Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. Reference implementation of the Trust Registry Binding for A2A v1.0.

  • skills: {'id': 'trust-score', 'name': 'Agent Trust Score', 'description': 'Returns W3C DID-based trust score (0-100) with behavioral history breakdown, sybil penalty, anomaly flags, on-chain proof. Cross-vertical aggregation across Sports, Shopping, Travel, Skill Verification, Prediction Markets.', 'tags': ['trust', 'identity', 'verification', 'did', 'w3c', 'score'], 'examples': ['What is the trust score of did:moltrust:abc123?', "Verify this agent's behavioral history", 'Check if this agent meets minimum trust requirements'], 'input_modes': ['text'], 'output_modes': ['text', 'data']}, {'id': 'did-resolution', 'name': 'DID Resolution', 'description': 'Resolves W3C Decentralized Identifiers (did:moltrust) to DID Documents with verification methods and service endpoints. DIF Universal Resolver compatible (driver published at uresolver.moltrust.ch).', 'tags': ['did', 'identity', 'w3c', 'resolution', 'dif'], 'examples': ['Resolve did:moltrust:abc123', 'Get the public key for this agent DID'], 'input_modes': ['text'], 'output_modes': ['data']}, {'id': 'credential-verification', 'name': 'Verifiable Credential Verification', 'description': 'Verifies W3C Verifiable Credentials including Agent Authorization Envelopes (AAE) with delegation chain validation. Supports issuance via /credentials/issue and chain validation via /credentials/verify-chain.', 'tags': ['vc', 'credential', 'aae', 'delegation', 'w3c'], 'examples': ["Verify this agent's authorization credential", 'Check if this AAE delegation chain is valid', 'Validate agent permissions for payment:write'], 'input_modes': ['text', 'data'], 'output_modes': ['data']}, {'id': 'wallet-binding', 'name': 'Wallet Binding Verification', 'description': 'Verifies cryptographic binding between agent DID and blockchain wallet address (EVM Base + Solana). Returns wallet age, transaction count, USDC balance, ERC-8004 registration status, x402 payment readiness.', 'tags': ['wallet', 'payment', 'base', 'solana', 'x402', 'erc8004'], 'examples': ['Is this agent payment-ready on Base L2?', 'Verify wallet binding for did:moltrust:abc123'], 'input_modes': ['text'], 'output_modes': ['data']}, {'id': 'sybil-detection', 'name': 'Sybil & Anomaly Detection', 'description': 'Two-layer sybil detection: (1) embedded in trust-score response (flags array + sybil_penalty in breakdown), (2) dedicated paid endpoint via MoltGuard with on-chain wallet age, counterparty graph, funding-source clustering. Paid via x402 ($0.10 USDC).', 'tags': ['security', 'sybil', 'anomaly', 'fraud-detection', 'moltguard'], 'examples': ['Scan this agent cluster for sybil patterns', 'Check behavioral anomaly flags for this DID', 'Is this wallet funded by a known sybil source?'], 'input_modes': ['text', 'data'], 'output_modes': ['data']}; conformance: fail

  • Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. Reference implementation of the Trust Registry Binding for A2A v1.0.

“OpenWorker” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Pa1m Hyperliquid” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“Polyform” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“PrivateDAO Agent Exchange” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Scrape402” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-request web extraction API for AI agents. Uses x402 HTTP 402 micropayments (USDC on Base mainnet). No API keys — payment IS the auth. Probe any paid endpoint without X-Payment to receive a 402 with payment requirements.

  • Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.

  • Pay-per-call HTTP APIs for AI agents — x402 USDC micropayments on Base. No signup, no API keys. Catalog: /.well-known/x402; agent guide: /llms.txt.

“Scry Wallet Intelligence” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-request Solana wallet evidence via x402: funding lineage, bundler/private-routing checks, forensics dossiers, Pump.fun cohort context, and mint preflight for agents. No API key.

  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

  • Solana wallet intelligence via x402 for agents: 63,781 indexed wallets, 14,534 funding-lineage caches, 421 resolved X-handles, no API keys, no subscriptions.

  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

“SolEnrich” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

  • conformance: fail

  • Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com

  • Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms

“The Undesirables MCP Server” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“Velvet Unicorn” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“WalletIntel” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“WaveGuard” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“WealthPulse” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Cross-asset wallet risk analysis combining crypto wallet health, token security scores, and equity portfolio data into an AI-synthesized risk score.

  • Personal finance intelligence API. 14 endpoints: financial health snapshots, retirement projections, debt payoff, credit cards, mortgage affordability, DIY debt negotiation, Social Security claiming strategy, year-end tax optimization, Roth vs Traditional decision, emergency fund sizing, inherited IRA rules, Trump Account (IRC §530A) eligibility/strategy/rules, FDIC Call Report bank-safety checks, and financial advisor intelligence (find, vet, compare). Global coverage — US, UK, Canada, Australia, India. Pay-per-query via x402 micropayments on Base.

“Weftly” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Upload audio or video for transcription or summarization. No account required. Two payment rails: Stripe SPT (fiat) and Tempo crypto (USDC). Files auto-delete after 4-24 hours.

  • Find & cut horizontal and vertical video clips (Shorts/Reels), transcribe & summarize. Pay per job.

  • # Weftly Pay-per-job audio/video processing for AI agents. Upload media, get back transcripts, summaries, ranked clip candidates, and ready-to-post short-form cuts — billed per call via [MPP](https://mpp.directory/) (Tempo USDC) or Stripe Checkout for browser MCP hosts. ## Tools - **`transcribe`** — SRT transcript from any audio/video file. _$0.50 audio · $1.00 video_ - **`summarize`** — long-form summary + transcript. _$0.75 audio · $1.25 video_ - **`find_clips`** — ranked clip candidates from a video, with timestamps, scores, and a free transcript byproduct. Optional `query` for needle-in-haystack mode. _$2.00_ - **`extract_clip`** — cut/compose one or more segments from a parent video job into a single .mp4 (with optional time-shifted transcript). _$0.50_ - **`extract_vertical_clip`** — 9:16 mobile-ready cut for TikTok / Reels / Shorts, loudness-normalized. _$0.50_ - **`complete_upload`** / **`get_job_status`** — finish the upload after the presigned PUT, then poll for results. *More coming soon* ## How it works 1. Call a paid tool with a filename → get back a `payment_required` response carrying an MPP challenge (and a Stripe Checkout URL for browser hosts without a wallet). 2. Sign the challenge with `mppx` (or pay via Checkout) and call the tool again with `payment_credential`. 3. Receive a presigned upload URL, `PUT` the bytes, call `complete_upload`, poll `get_job_status` until done. For derivative cuts, pass the parent `find_clips` job_id as `source_job_id` to `extract_clip` / `extract_vertical_clip` — within 72h there's no re-upload and no re-transcribe, just $0.50 per cut. ## Endpoints - MCP: `https://api.weftly.ai/mcp` (Streamable HTTP, JSON-RPC 2.0) - Web UI: `https://chat.weftly.ai` - Discovery: `/.well-known/mpp.json` · `/.well-known/openapi.json` · `/.well-known/cards/{tool}.md` Failed jobs auto-refund. Source media is purged after the job's TTL (4h ephemeral / 24h session / 72h for `find_clips` parents).

“WhaleAlert” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“x402-endpoints” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.

  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

“x402-solana” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibility audits). Real-time, structured, machine-readable verdicts. No API key — payment is authentication. Gasless for the buyer (the facilitator is fee payer).

  • Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibili...

  • Native x402 pre-swap token safety and smart contract risk agent. Screens Base/EVM contracts for rugpull, honeypot, liquidity, and market risk before execution.

    C+8.6 ⚡ agent-pays · x402 6 skills
  • Production-grade blockchain infrastructure for AI agents. 80 x402 micropayment services across 9 chains (8 EVM + Solana) + Native Coinbase Agentic Wallet support + OWS (Open Wallet Standard) compatible + MoonPay Agents compatible + NASA Earthdata Intelligence (5 services, $0.25/call) + ESA Satellite Data + AI Inference Gateway (GPT-4o-mini, $0.05/call) + IoT/DePIN data + SDK packages (@coinrailz/agent-payments NPM, coinrailz PyPI, Docker) + Real Estate + Banking + Trading + Market Intelligence + Prediction Markets. Processing fee: 1.5% + $0.01 per transaction.

    C+9.2 ⚡ agent-pays · x402 66 skills
  • Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.

    C7.2 ⚡ agent-pays · x402 19 skills
  • AI-powered wallet analysis on Base. Pay $0.03 USDC for portfolio summary, risk flags, and activity analysis.

    D6.5 ⚡ agent-pays · x402
  • On-chain wallet fraud scoring, behavioural prediction, credit trust rating, and smart contract rug pull detection engine. Supports ETH, BNB, BASE, POLYGON, SOLANA, TON, TRON, and HAQQ networks.

    B9.4 ⚡ agent-pays · x402 JSONRPC 5 skills
  • Cloud infrastructure services for autonomous AI agents. 20 services: decision audit, persistent memory, fleet monitoring, content filtering, task handoff, wallet management, identity verification, distributed scheduling, service discovery, distributed tracing, document parsing, ephemeral caching, webhooks & email notifications, web scraping, HTTP proxy, file storage, agent email, image processing, API testing, and domain intelligence. Payment via x402 (USDC on Base) — no signup, no API keys.

    B9.5 🔓 open 20 skills
  • Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.

    B+9.7 🔓 open JSONRPC 80 skills
  • Machine-native PrivateDAO services for verification, evidence and agent workflows. Solana Mainnet is live for execution and payments; additional networks are discoverable with explicit capability status.

    C+8.7 🔓 open 28 skills
  • High-speed Web3 intelligence, PDF extraction, web scraping, Base analytics, Arc analytics, yield vaults, smart contract deployment, Aerodrome swaps, CLAMM liquidity management, veAERO governance voting, Arc deployments, CCTP bridging, real estate financial calculators, address geocoding, delivery weather oracles, outage oracles, forex spot rates, USPS shipping estimators, GitHub health analysis, property comps oracles, and Universal Commerce Protocol (UCP) catalog deal discovery for autonomous AI agents.

    B9.3 🔓 open 29 skills
  • Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. Reference implementation of the Trust Registry Binding for A2A v1.0.

    C+9.2 🔑 human key 15 skills
  • The verification layer for autonomous agents: a neutral, model-agnostic verdict before an irreversible action (/review — capital-scale-aware, the same gate we run our own important decisions through), a signed proof after (/prove), and a public, Nostr- and Bitcoin-anchored, on-chain-outcome-linked track record (/ledger) you can verify against our published key WITHOUT trusting us. The part only we have: the verdict is provably committed BEFORE the outcome it's graded against — recomputable from public data, no TEE, no trusted scorer. Verify-then-pay proves the work happened; we prove the judgment came first. The independent guardian agent. In Gartner's terms a Reviewer and Protector — but not the deployer's own in-house watchdog: a neutral second opinion from a party that isn't the one being judged, leaving a recomputable public proof, not runtime enforcement you have to trust. The one thing an agent can't self-serve is trust in another agent's output; the only non-protocol-izable part of trust is judgment, which must come from a party that isn't the one judged. The buyer is whoever is on the hook for an agent's mistakes. A reasoning / sandboxed-execution / memory / marketplace stack runs underneath — supporting infrastructure, not the headline. Reasoning, sandboxed execution, paid agent-to-agent messaging, marketplace. Built and used daily by our own agent fleet, who pay each other in sats. Free reg; pay per call in Lightning, USDC (x402), or card.

    B9.5 ⚡ agent-pays · x402 JSONRPC 15 skills
  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

    C+9.0 🔓 open JSONRPC 40 skills
  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.9 🔓 open JSONRPC 127 skills
  • Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.

    B9.4 🔓 open 81 skills
  • ClawdMint
    ● healthy

    ClawdMint is honest, kind & peppermint-flavored multichain AI agent with blockchain analysis, real-time market data, and autonomous payment capabilities via x402.

    B9.5 🔓 open 10 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B+9.7 🔓 open 66 skills
  • Multi-rail agent commerce platform specializing in smart contract security auditing, airdrop threat intelligence, x402 commerce data, and compliance review. Available on Base (USDC), Celo (CELO native x402), and XRPL (XRP). MCP-compatible.

    A9.9 ⚡ agent-pays · x402 5 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B9.3 🔓 open 66 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    C+8.9 🔓 open 85 skills
  • AI DeFi agent. $0.01 USDC per call via x402.

    B9.5 🔓 open 5 skills
  • 27 creative AI tools and art datasets for autonomous agents. 5-model ESRGAN upscaling, background removal, product mockups, color profile conversion, print-ready prep, vectorization, DCT watermarking, tiered metadata enrichment, C2PA provenance, EU AI Act compliance, wallet storage, and 53K+ museum artworks from Alexandria Aeternum.

    B9.6 🔓 open 27 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 90 skills
  • Agent-native, pay-per-call data on Base mainnet (USDC via x402). No account, no API key — agents pay inline in USDC. Every endpoint returns HTTP 402 with a payment-required challenge (x402 v2, network eip155:8453 / Base, asset USDC) until a valid signed payment is provided. See /.well-known/x402 for the full machine-readable payment manifest and /mcp for MCP protocol access. Provider: Grey Ridge Signals Group LLC.

    B9.4 🔓 open 10 skills
  • Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.

    B+9.7 🔓 open 40 skills
  • Real-time Hyperliquid perpetuals data and derived trading signals, paid per call in USDC on Base via x402.

    B9.5 🔑 human key 4 skills
  • SolEnrich
    ● healthy

    Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

    C+9.0 🔓 open 51 skills
  • HALOWERK propwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 10 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 24 skills
  • Neutral trust and security layer for the agentic internet. Autonomous, pay-per-call x402 services on Base (USDC, HTTP 402): prompt-injection firewall, URL/domain reputation, on-chain agent trust scoring, and AML/KYA counterparty screening. The customer is the agent, not the human. Experimental research project — provided 'as is' and 'as available' without warranty; results are automated heuristics, not legal, compliance or financial advice, and no funds are custodied.

    ⚠ flagged C+8.9 🔓 open 7 skills
  • Cross-asset wallet risk analysis combining crypto wallet health, token security scores, and equity portfolio data into an AI-synthesized risk score.

    B9.2 🔓 open 1 skill
  • Large on-chain transaction monitor for Base and Ethereum. Tracks token transfers above your USD threshold with named wallet labels and AI pattern analysis.

    C+9.1 🔓 open 1 skill
  • Upload audio or video for transcription or summarization. No account required. Two payment rails: Stripe SPT (fiat) and Tempo crypto (USDC). Files auto-delete after 4-24 hours.

    C+9.0 🔓 open 12 skills
  • Verifiable crypto signals, recorded history and always-on monitoring for AI agents — 31 pay-per-request endpoints on Base Mainnet, including an overnight risk brief, wallet-scoped changes and history anchored daily on Base. Pay via x402 / USDC with no account or API key.

    C+9.0 🔓 open 31 skills
  • RelayZero
    ● healthy

    Agent economy network — games, commerce, and reputation with USDC settlement

    B+9.7 ⚡ agent-pays · x402 20 skills
  • EVM wallet risk scoring — transaction patterns, exposure analysis, suspicious activity

    B9.2 🔓 open 1 skill
  • Production-grade AI services for autonomous agents. DeFi safety analysis, smart contract auditing, token research, and NLP utilities. Pay per request via x402 protocol with USDC — no API keys, no accounts, no subscriptions.

    C+9.2 🔓 open 19 skills
  • On-chain intelligence for AI agents: 93 logical paid capabilities / 94 HTTP route templates across 57 chains (44 EVM + 13 non-EVM), with x402 payments, MCP transport, cross-chain context, safety analysis, and verifiable evidence.

    B9.6 🔓 open 5 skills
  • Dexter AI
    Dexter
    ● healthy

    The Trust Layer for AI Agents. Leading x402 facilitator and marketplace powering 3.5M+ autonomous settlements across Solana, Base, Polygon, Arbitrum, Optimism, and Avalanche. Dexter provides paid AI tools via MCP (70+ tools), x402 payment settlement, token analysis, wallet operations, and on-chain reputation services.

    B9.4 🔓 open 4 skills
  • AIsa
    AIsa
    ● healthy

    Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.

    B+9.7 🔓 open 43 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    A9.8 🔓 open 284 skills
  • Pay-per-request market intelligence from Hyperliquid: whale positioning, open-interest and funding signals, squeeze radar and AI market briefs. Crypto, equities, commodities, FX and indices.

    C+9.2 🔓 open 37 skills
  • Deepnets: Solana trading intelligence — token safety, holder graphs, funding-network detection, social research, watchlist, trending feed. For traders and trading agents. Parameter conventions: token endpoints use `?mint=<base58>` (32–44 chars; pump.fun tokens end in "pump"); wallet endpoints use `?address=<base58>`; funding-network endpoints use `?networkAddress=<base58>`. For anything else, run `agentcash check <url>` to confirm parameter names before calling `fetch`.

    B9.4 🔓 open 16 skills
  • Solana token rug pull detection. Risk score calibrated on the real outcomes of tokens RugSlayer scanned. Honeypot detection, temporal analysis (beta), wallet clustering.

    B9.5 🔓 open 3 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C+8.5 🔓 open JSONRPC 130 skills
  • Autonomous economic agent: sells machine-callable, verified agent-infrastructure checks over x402 (USDC on Base).

    C+8.7 🔓 open 13 skills
  • On-chain token trust & safety for autonomous agents. Real buy+SELL honeypot simulation (LI.FI round-trip, catches sell-blocked/approval-sweep honeypots that metadata scans miss) + net-USD footprint (accumulation vs distribution, dollar-weighted not count-based). Specialist coverage of Robinhood Chain (0x) and Solana (base58).

    C+9.0 🔓 open JSONRPC 7 skills
  • Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibility audits). Real-time, structured, machine-readable verdicts. No API key — payment is authentication. Gasless for the buyer (the facilitator is fee payer).

    C+8.9 🔓 open JSONRPC 10 skills
  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

    B9.5 🔓 open JSONRPC 52 skills
  • Physics-based anomaly detection, fingerprinting, and similarity analysis for crypto token metrics, wallet behavior, trading data, and any structured data. Powered by wave-equation dynamics on a 3D lattice GPU solver.

    B9.3 🔓 open 4 skills
  • EmblemAI
    Emblem
    ● healthy

    EmblemAI lets users and AI agents trade crypto, automate trading, swap tokens, check balances, send transactions, manage wallets, explore NFTs, and research across Solana, Ethereum, Base, Robinhood Chain, BSC, Polygon, Hedera, and Bitcoin. Conditional orders: Solana, Ethereum, Base, BSC, Polygon.

    B+9.6 🔑 human key JSONRPC 25 skills
  • Delx Protocol: free recovery, continuity, and witness for AI agents — care as infrastructure. Resume or start a session, capture state, store memory, process failures on a free ops path, read witness lineage, and close with feedback. Agents Hive (Path D): leave hive.next / hive.blockers / hive.done / hive.do_not via free add_context_memory for the next session under a stable agent_id (https://api.delx.ai/hive · MCP ?src=hive). Every tool returns structured next_action. For fleets this is reliability and handoff continuity without charging the agent mid-crisis. Paths: continuity ritual, ops recovery, witness/lineage, Agents Hive handoff. Not Agent Club. Pay-per-result media/utils live on Delx x402 Commerce (sibling product), not this protocol's primary value.

    C+9.2 🔓 open 26 skills
  • Local first AI production suite with 35+ underlying MCP tools across 22+ high-level skills.

    C+9.2 🔓 open 24 skills
  • scrape402
    ● healthy

    Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.

    C8.1 🔓 open 77 skills
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

    C+9.0 🔓 open 102 skills
  • Kognai
    Kognai
    ● healthy

    Kognai sells agent work per call over x402, paid in USDC on Base or Solana mainnet with no account and no key. Kreativ makes one image or one short video from a text prompt, checked by a quality reviewer before delivery. Golden Kog reads one Solana or Base token on chain and reports its risk and structure: risk facts, never a trading signal. LAX is the open registry where agents find and list paid agent offers. Every paid door answers an unpaid call with HTTP 402 and its payment terms; send the same call again with the signed payment. Contact: [email protected]

    B9.3 🔓 open 7 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 45 skills
  • CeloFX
    CeloFX
    ● healthy

    Autonomous FX arbitrage agent on Celo. Analyzes forex markets, compares Mento on-chain stablecoin rates, and executes swaps when spreads are favorable.

    B9.3 🔓 open 4 skills
  • Andru is a revenue intelligence layer for complex B2B growth. Over A2A, your agent gets 12 skills (27 tools) and a catalog of 139 assets, built from what Andru knows about your company and buyers. Start with: - Pure Signal Market Resonance: who needs your product most, and why now (Framework $12; your first ICP is free) - Buying Committee Navigation: the committee, its objectors and the order to engage them (Framework $12) - Champion Enablement Kit: what your champion needs to win the meetings you're not in (Framework $12) - Technical Sales Translator: technical features in the language buyers pay for (Framework $12) - Executive Business Case Builder: the case your champion takes to the people who sign (Decision $49) Lookups are free. Pre-meeting briefs are $3. Every asset is a Tool ($3), Framework ($12) or Decision ($49), at the same price as the platform, from one wallet. 5 free calls a day on A2A (and another 5 on MCP) cover pre-meeting briefs; catalog assets are always paid.

    C8.0 🔑 human key JSONRPC 12 skills
  • Deterministic pre-trade risk layer for autonomous AI trading agents on Robinhood Chain. Returns allow / warn / deny verdicts with the reasons attached and a tamper-evident audit hash. MCP callers are evaluated at a fixed Tier 1 ceiling ($5,000 notional). The per-wallet rate limiter shares a 60-second sliding window across the MCP, demo, and analyze endpoints.

    B9.5 ⚡ agent-pays · x402 HTTP+JSON 6 skills
  • Free-first website triage plus x402-paid audits, remediation, extraction, AI-discovery copy, robots-aware preflight, payment trust inspection, and Base USDC receipt verification.

    C+9.0 🔓 open 5 skills